Update Media
curl --request PUT \
--url https://api.birdeye.com/resources/v1/business/{businessNumber}/update/media/{mediaId} \
--header 'Content-Type: application/json' \
--data '
{
"mediaCategory": "INTERIOR"
}
'import requests
url = "https://api.birdeye.com/resources/v1/business/{businessNumber}/update/media/{mediaId}"
payload = { "mediaCategory": "INTERIOR" }
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({mediaCategory: 'INTERIOR'})
};
fetch('https://api.birdeye.com/resources/v1/business/{businessNumber}/update/media/{mediaId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 2174,
"message": "Unsupported media format"
}{
"code": 1161,
"message": "Invalid API key"
}{
"code": 89,
"message": "Rate limit exceeded"
}Business Media
Update Media
API to update the Business Media.
PUT
/
v1
/
business
/
{businessNumber}
/
update
/
media
/
{mediaId}
Update Media
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Media type of the JSON request body.
Path Parameters
Location Number, in case of SMB it will be Business Number.
Id of the media item.
Body
application/json
Category for the media item. Possible values are:
Response
OK
⌘I